<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');

$fecha_desde=$_GET['fecha_desde'];
$hora_desde=$_GET['hora_desde'];
$fecha_hasta=$_GET['fecha_hasta'];
$hora_hasta=$_GET['hora_hasta'];
$pago=$_GET['pago'];
$cliente=$_GET['cliente'];
$sucursal_form=$_GET['sucursal_form'];

$total=0;
$query_str="SELECT * FROM ventas WHERE TIMESTAMP(ven_fecha, ven_hora) BETWEEN TIMESTAMP('$fecha_desde','$hora_desde') AND TIMESTAMP('$fecha_hasta','$hora_hasta')  AND sucursal='$sucursal_form' AND empresa='$empresa' AND ven_estado<>'anulada'";

if ($facturador=='si') {
    $ven_tipo=implode("','", $_GET["ven_tipo4"]);
    $query_str.=" AND ven_tipo IN ('$ven_tipo')";
}
if ($pago<>'0') {
    $query_str.= " AND ven_forma_de_pago='$pago'";
}
if ($cliente<>'0') {
    $query_str.= " AND Cliente_clie_id='$cliente'";
}
$query_str.=" ORDER BY ven_id DESC";
$query=mysqli_query($con, $query_str);

$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
$pdf->Cell(0,10,'VENTAS POR FORMA DE PAGO DESDE '.$fecha_desde. ' HASTA ' .$fecha_hasta. ' '.strtoupper($pago),0,1);
$pdf->SetFont('Arial','',7);
    
while ($roww=mysqli_fetch_array($query))    
{
    $ven_id=$roww['ven_id'];
    include('.detalles.php');
    $pdf->Ln();          
}
$pdf->Ln(); 
$pdf->SetFillColor(239,215,025);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(150,4,'',1,0,'C',1);
$pdf->Cell(15,4,'TOTAL',1,0,'C',1);
$pdf->Cell(25,4,number_format($total,0),1,0,'R',1);
$pdf->Ln();
$pdf->Output();
?>
